
Foreman - Feature #25241

[RFE] Add ability to pull Facts from /api/v2/hosts endpoint

10/18/2018 11:35 PM - Dustin Scott

Status: New   

Priority: Normal   

Assignee: Dustin Scott   

Category: API   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Added the ability to pass in include=[facts] to the /api/v2/hosts endpoint to pull back the facts of a host in a single API call.  This helps

to speed things up for things such as the Ansible Dynamic Inventory Script.  Currently, the Ansible Dyanmic Inventory Script makes

one API call per host to pull this information back.  This will allow a single call to be made, and the rest to be parsed in memory.

History

#1 - 10/18/2018 11:37 PM - Dustin Scott

- Subject changed from [RFE] Add ability to  to [RFE] Add ability to pull Facts from /api/v2/hosts endpoint

#2 - 10/30/2018 02:52 PM - Lukas Zapletal

- Triaged changed from No to Yes
